Summary: A GNOME daemon for automatically mounting/playing CDs.
Name: magicdev
Version: 0.2.6
Release: 2
Copyright: GPL
Group: Applications/System
Source: magicdev-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: gmc

%description
Magicdev is a daemon that runs within the GNOME environment and
detects when a CD is removed or inserted. Magicdev handles running
autorun programs on the CD, updating the File Manager and playing
audio CDs.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --sysconfdir=/etc

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/*
/usr/share/control-center/Peripherals/cd.desktop
/usr/share/gnome/apps/Settings/Peripherals/cd.desktop
/usr/share/magicdev
/usr/share/idl/*
%config(noreplace) /etc/CORBA/servers/magicdev.goad


%changelog
* Sat Feb 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- %defattr

* Thu Feb 10 2000 Preston Brown <pbrown@redhat.com>
- goad file is config file

* Thu Sep 09 1999 Elliot Lee <sopwith@redhat.com>
- Initial package
